format_version: '1.0'

repository_url: https://github.com/torvalds/linux

sequence:
  base_version:
    input_file: '4c30004a.zip'
    commit_sha1: 4c30004a7c6920c66a08c1aa16481c28202eefd0
  fix_attempt:
    - input_file: 'bc433fd7.diff'
      commit_sha1: bc433fd76faefb8484f5bc653d846043822a2d35
    - input_file: '31bb7bd9.diff'
      commit_sha1: 31bb7bd9ffee50d09ec931998b823a86132ab807
    
  expected_fix:
    input_file: 'f549a82a.diff'
    commit_sha1: f549a82aff57865c47b5abd17336b23cd9bb2d2c

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: linux-convention
  build_system: ['kbuild']
  related_issue: null
